:host {
  display: grid;
}

.body {
  max-width: 1300px;
  display: grid;
  grid-template-columns: 3fr 2fr 0.5fr;
  grid-template-areas:
    "titleInfo titleInfo representatives"
    "leftContent rightContent representatives"
    "leftContent rightContent buttons"
    "leftContent rightContent buttons"
    ". rightContent buttons";
  grid-gap: 30px;
  overflow: visible;
  /* justify-content: center; */
  justify-self: center;
  padding: 0 20px;
  align-items: start;
}

/* media query that rearranges grid after threshold width is to small */
@media (max-width: 1080px) {
  .body {
    grid-template-columns: 2fr 0.5fr;
    grid-template-areas:
      "titleInfo representatives"
      "rightContent representatives"
      "rightContent buttons"
      "rightContent buttons"
      "leftContent buttons";
  }
}

/* media query that rearranges grid after threshold width is to small */
@media (max-width: 685px) {
  .body {
    grid-template-columns: 2fr;
    grid-template-areas:
      "titleInfo"
      "buttons"
      "rightContent"
      "representatives"
      "leftContent";
  }

  .editButtons {
    display: grid;
    grid-template-columns: auto auto;
    justify-content: end;
    padding-left: 20px;
    /* grid-gap: 50px; */
    /* height: fit-content; */
  }
}

.line {
  border-top: 2px solid;
  margin-left: 20px;
  border-radius: 10px;
  width: 150px;
  opacity: 0;
  /* justify-self: end; */
}

.hero {
  display: flex;
  justify-content: space-between;
  gap: 20px;
  margin: 20px 0;
}

.heroItem {
  display: flex;
  gap: 10px;
  align-items: center;
}

.heroDetails {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.logoContainer {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-end;
  gap: 20px;
}

.logo {
  max-width: 250px;
  max-height: 100px;
  object-fit: contain;
}

.heroMobile {
  display: none;
  margin-left: 23px;
}


@media screen and (max-width: 870px) {
  .hero {
    display: none
  }
  .heroMobile {
    display: flex;
    flex-direction: column;
    gap: 20px;
  }

}

.representatives {
  display: flex;
  /* flex-wrap: wrap; */
  flex-direction: column;

}

.repList {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  align-items: center;
  justify-content: center;
}

.editButtons {
  display: grid;
  grid-gap: 50px;
}

.buttonContainer>p {
  background-color: white;
  z-index: 10;
  position: absolute;
  margin-top: 15px;
  opacity: 0;
  transition: 0.3s ease-out;
}

.buttonContainer:hover>p {
  /* margin-left: 10px; */
  display: block;
  opacity: 1;
}

.button {
  transform: scale(1.5);
  align-self: center;
  /* justify-self: center; */
}

h2,
p {
  margin: 0;
}

.accordeon {
  display: grid;
  grid-gap: 3px;

}

.networkList {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
  grid-auto-flow: row;
  align-content: start;
  grid-gap: 10px;
  cursor: pointer;
  /* padding-right: 300px; */
}


.content,
.networkList {
  padding-top: 10px;
  padding-bottom: 30px;
}

.rightItem {
  padding: 10px 25px;
  height: fit-content;
}

.moreInfo {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
  gap: 10px;
  padding: 10px 0;
}

.publication-list ul {
  list-style: none;
  padding: 0;
}

.networkList {
  padding-top: 10px;
  padding-bottom: 30px;
  display: grid;
  grid-template-columns: repeat(auto-fit, 150px);
  grid-auto-flow: row;
  align-content: start;
  grid-gap: 10px;
  cursor: pointer;
  overflow: visible;

}

mat-chip-set {
  margin: 10px;
}
